Webhooks
Update Webhook
Update an existing webhook subscription.
Requires an API key with
Other validation messages include:
full_access scope. All fields are optional. Only include the fields you want to change.
Path parameters
The unique identifier of the webhook.
Body
Webhook name. 2 to 100 characters.
The HTTPS endpoint that will receive webhook deliveries. Must start with
https://.List of event types to subscribe to. Must include at least one of:
project.created, project.updated, project.deleted, job.created, job.updated, job.deleted, job_type.created, job_type.deletedWebhook status. Either
active or paused. Setting to active resets the failure count to 0.Response
Confirmation message.
Errors
400 Bad Request - Validation failed.name must be a stringurl must be a string starting with https://event_types must be a non-empty arrayInvalid event type: {type}status must be one of: active, pausedAt least one field to update is required (name, url, event_types, status)